## nautilus-image-manipulator 1.3

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/NautilusImageManipulator.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/NautilusImageManipulator.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/NautilusImageManipulator"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/NautilusImageManipulator"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## nautilus-image-manipulator 0.3

=== debian/changelog ===
nautilus-image-manipulator (0.3-1build1) oneiric; urgency=low

  * No-change rebuild for newer GNOME libs. (LP: #836601)

 -- Daniel T Chen <crimsun@ubuntu.com>  Mon, 12 Sep 2011 09:10:42 -0400

nautilus-image-manipulator (0.3-1) unstable; urgency=low

  * New upstream release

 -- Emilien Klein <emilien+debian@klein.st>  Tue, 17 May 2011 22:39:34 +0200

nautilus-image-manipulator (0.2-1) unstable; urgency=low

  * Initial release (Closes: #611690)

 -- Emilien Klein <emilien+debian@klein.st>  Thu, 14 Apr 2011 21:52:15 +0200

=== debian/control ===
Source: nautilus-image-manipulator
Section: gnome
Priority: optional
Maintainer: Emilien Klein <emilien+debian@klein.st>
Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3~), python-distutils-extra (>= 2.18), pkg-config, python-nautilus
Standards-Version: 3.9.2
Vcs-Bzr: lp:nautilus-image-manipulator
Vcs-Browser: http://bazaar.launchpad.net/~emilien-klein/nautilus-image-manipulator/trunk/files
Homepage: https://launchpad.net/nautilus-image-manipulator

Package: nautilus-image-manipulator
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, nautilus, python-nautilus, imagemagick
Description: Resize and send images from Nautilus
 This Nautilus extension lets you resize images and send them to friends
 and family, right from Nautilus.
 .
 Just right-click on any photo or group of photos, and an option will
 appear that launches Nautilus Image Manipulator.
 .
 It is highly inspired by Nautilus Image Converter:
     http://www.bitron.ch/software/nautilus-image-converter.php

=== debian/watch ===
version=3
https://launchpad.net/nautilus-image-manipulator/+download http://launchpad.net/nautilus-image-manipulator/.*/nautilus-image-manipulator-(.+).tar.gz

## nautilus-image-manipulator 0.4

=== debian/changelog ===
nautilus-image-manipulator (0.4-1~ubuntu0.1) oneiric-proposed; urgency=low

  * Backport to oneiric-proposed (LP: #849361)
  * Lower python-nautilus dependency (patches backported to ubuntu version)
    Thanks to Emilien Klein <emilien+debian@klein.st>

 -- Chow Loong Jin <hyperair@ubuntu.com>  Thu, 03 Nov 2011 08:11:20 +0800

nautilus-image-manipulator (0.4-1) unstable; urgency=low

  * New upstream release
    - Transition to Nautilus 3 and GObject introspection
      (Closes: #644694) (LP: #859104 and LP: #849361).
  * debian/control:
    - Require python-nautilus 1.1 or higher
    - Depend on gir1.2-gtk-3.0, gir1.2-glib-2.0, gir1.2-nautilus-3.0
    - Remove build dependency on pkg-config and python-nautilus
  * debian/watch:
    - Add `debian uupdate` after the URL
  * debian/copyright:
    - Conform to DEP-5: Machine-readable debian/copyright

 -- Emilien Klein <emilien+debian@klein.st>  Wed, 26 Oct 2011 22:00:22 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Emilien Klein <emilien+debian@klein.st>
-Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3~), python-distutils-extra (>= 2.18), pkg-config, python-nautilus
+Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3~), python-distutils-extra (>= 2.18), gir1.2-gtk-3.0, gir1.2-glib-2.0, gir1.2-nautilus-3.0
 Standards-Version: 3.9.2
 Vcs-Bzr: lp:nautilus-image-manipulator
 Vcs-Browser: http://bazaar.launchpad.net/~emilien-klein/nautilus-image-manipulator/trunk/files
@@ -10,7 +10,7 @@
 
 Package: nautilus-image-manipulator
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, nautilus, python-nautilus, imagemagick
+Depends: ${python:Depends}, ${misc:Depends}, nautilus, python-nautilus (>= 1.0-0ubuntu2~), imagemagick, gir1.2-gtk-3.0, gir1.2-glib-2.0, gir1.2-nautilus-3.0
 Description: Resize and send images from Nautilus
  This Nautilus extension lets you resize images and send them to friends
  and family, right from Nautilus.

## nautilus-image-manipulator 0.5

=== debian/changelog ===
nautilus-image-manipulator (0.5-2) unstable; urgency=low

  * Remove included Poster source code and instead use the python-poster
      package from Debian (Closes: #648030) (LP: #761146)
  * debian/control:
    - Require python-poster 0.8.0 or higher

 -- Emilien Klein <emilien+debian@klein.st>  Thu, 15 Dec 2011 18:55:41 +0100

nautilus-image-manipulator (0.5-1) unstable; urgency=low

  * New upstream release
    - Make sure that only valid filenames are passed (LP #711508 and
        LP#711509)
    - Better handling of zipfile creation
    - Do not allow appendString to end in "/", because the image would be
        called ".EXT", which is a hidden file in it's own folder
    - Various lower-level enhancements
      - Gracefully handle when ImageMagick is not installed (LP #877738)
      - Display an error message is DistUtilsExtra is not installed when
          updating the translations
  * debian/copyright:
    - Use a versioned URL to indicate DEP-5 conformance

 -- Emilien Klein <emilien+debian@klein.st>  Tue, 22 Nov 2011 23:32:00 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: nautilus-image-manipulator
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, nautilus, python-nautilus (>= 1.0-0ubuntu2~), imagemagick, gir1.2-gtk-3.0, gir1.2-glib-2.0, gir1.2-nautilus-3.0
+Depends: ${python:Depends}, ${misc:Depends}, nautilus, python-nautilus (>= 1.1), imagemagick, gir1.2-gtk-3.0, gir1.2-glib-2.0, gir1.2-nautilus-3.0, python-poster (>= 0.8.0)
 Description: Resize and send images from Nautilus
  This Nautilus extension lets you resize images and send them to friends
  and family, right from Nautilus.

=== debian/watch ===
version=3
https://launchpad.net/nautilus-image-manipulator/+download http://launchpad.net/nautilus-image-manipulator/.*/nautilus-image-manipulator-(.+).tar.gz debian uupdate

## nautilus-image-manipulator 0.8

=== debian/changelog ===
nautilus-image-manipulator (0.8-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - Do not depend on imagemagick anymore
    - Depend on python-imaging and python-pyexiv2

 -- Emilien Klein <emilien+debian@klein.st>  Tue, 14 Feb 2012 23:23:56 +0100

nautilus-image-manipulator (0.6-1) unstable; urgency=low

  * New upstream release

 -- Emilien Klein <emilien+debian@klein.st>  Thu, 02 Feb 2012 20:38:52 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: nautilus-image-manipulator
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, nautilus, python-nautilus (>= 1.1), imagemagick, gir1.2-gtk-3.0, gir1.2-glib-2.0, gir1.2-nautilus-3.0, python-poster (>= 0.8.0)
+Depends: ${python:Depends}, ${misc:Depends}, nautilus, python-nautilus (>= 1.1), gir1.2-gtk-3.0, gir1.2-glib-2.0, gir1.2-nautilus-3.0, python-poster (>= 0.8.0), python-imaging, python-pyexiv2
 Description: Resize and send images from Nautilus
  This Nautilus extension lets you resize images and send them to friends
  and family, right from Nautilus.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_install:
	dh_auto_install -- --install-lib=/usr/share/nautilus-image-manipulator \
			--install-scripts=/usr/share/nautilus-image-manipulator

%:
	dh $@ --with python2

## nautilus-image-manipulator 1.1

=== debian/changelog ===
nautilus-image-manipulator (1.1-2) unstable; urgency=low

  * Fix 2 upstream bugs, patches already applied upstream and released in v1.2:
    - debian/patches/fix-702044: Corrupted config file if width/height are
        defined from keyboard (Closes: #702044)
    - debian/patches/fix-702045: Upload to 1fichier.com not working
        (Closes: #702045)

 -- Emilien Klein <emilien+debian@klein.st>  Sat, 02 Mar 2013 09:29:45 +0100

nautilus-image-manipulator (1.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Set temporary writable $HOME directory during build.
    Fix FTBFS "IOError: [Errno 2] No such file or directory:
    '/sbuild-nonexistent/.nautilus-image-manipulator.ini'". (Closes: #676045)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 26 Jun 2012 19:42:48 +0200

nautilus-image-manipulator (1.1-1) unstable; urgency=low

  * New upstream release
  * debian/watch:
    - Downloading the tarball from Launchpad now goes through https
  * debian/control:
    - Changed the Vcs-* fields to point to the repository used to maintain
      the Debian package instead of the upstream repository
    - Bump Standards-Version to 3.9.3
    - Add python-gobject to Depends
    - Add python-gobject, python-nose, python-imaging and python-pyexiv2 to
      Build-Depends
    - Updated the description to highlight changes coming with version 1.0.
      Also removed the reference to Nautilus Image Converter as the two
      projects are now very different
  * debian/rules:
    - Added override_dh_auto_test to run the nose tests
  * debian/nautilus-image-manipulator.manpages:
    - The directory containing the manpage has been renamed: 'doc' => 'docs'
  * debian/patches/nosetests.patch:
    - Added patch to properly handle translated strings in nose tests.
      Already included upstream (r188)

 -- Emilien Klein <emilien+debian@klein.st>  Sat, 05 May 2012 10:49:48 +0200

=== debian/control ===
Source: nautilus-image-manipulator
Section: gnome
Priority: optional
Maintainer: Emilien Klein <emilien+debian@klein.st>
Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3~), python-distutils-extra (>= 2.18), python-gobject, gir1.2-gtk-3.0, gir1.2-glib-2.0, gir1.2-nautilus-3.0, python-nose, python-imaging, python-pyexiv2
Standards-Version: 3.9.3
Vcs-Bzr: lp:~emilien-klein/nautilus-image-manipulator/debian
Vcs-Browser: https://code.launchpad.net/~emilien-klein/nautilus-image-manipulator/debian
Homepage: https://launchpad.net/nautilus-image-manipulator

Package: nautilus-image-manipulator
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, nautilus, python-nautilus (>= 1.1), python-gobject, gir1.2-gtk-3.0, gir1.2-glib-2.0, gir1.2-nautilus-3.0, python-poster (>= 0.8.0), python-imaging, python-pyexiv2
Description: Resize and send images from Nautilus
 This Nautilus extension lets you resize images and send them to friends
 and family, right from Nautilus.
 .
 Just right-click on any photo or group of photos, and an option will
 appear that launches Nautilus Image Manipulator.
 .
 A set of default settings make it easy to quickly resize pictures. You
 can also easily create your own profiles for later reuse.

## nautilus-image-manipulator 1.3

=== debian/changelog ===
nautilus-image-manipulator (1.3-2) unstable; urgency=low

  * Acknowledge NMU by Luca Falavigna:
    - debian/control:
      . Replace gir1.2-gexiv2-0.4 with gir1.2-gexiv2-0.10 (Closes: #742805).
  * debian/control:
    - Bump Standards-Version to 3.9.5

 -- Emilien Klein <emilien+debian@klein.st>  Wed, 16 Apr 2014 23:46:29 +0200

nautilus-image-manipulator (1.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control:
    - Replace gir1.2-gexiv2-0.4 with gir1.2-gexiv2-0.10 (Closes: #742805).

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 01 Apr 2014 11:27:18 +0200

nautilus-image-manipulator (1.3-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - Depend on gir1.2-gexiv2-0.4 instead of python-pyexiv2
    - Don't Build-Depend on python-pyexiv2 anymore
    - Bump Standards-Version to 3.9.4
  * debian/patches/use-packaged-python-poster.patch:
    - Update patchfile to apply cleanly (handle source file renaming)
    - Include nautilus_image_manipulator/upload/z_dl_free_fr.py
  * Remove 3 patches that have been applied upstream:
    - debian/patches/nosetests.patch (applied in r188)
    - debian/patches/fix-702044 (applied in r193)
    - debian/patches/fix-702045 (applied in r195)

 -- Emilien Klein <emilien+debian@klein.st>  Fri, 19 Apr 2013 22:20:37 +0200

=== debian/control ===
Source: nautilus-image-manipulator
Section: gnome
Priority: optional
Maintainer: Emilien Klein <emilien+debian@klein.st>
Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3~), python-distutils-extra (>= 2.18), python-gobject, gir1.2-gtk-3.0, gir1.2-glib-2.0, gir1.2-nautilus-3.0, python-nose, python-imaging
Standards-Version: 3.9.5
Vcs-Bzr: lp:~emilien-klein/nautilus-image-manipulator/debian
Vcs-Browser: https://code.launchpad.net/~emilien-klein/nautilus-image-manipulator/debian
Homepage: https://launchpad.net/nautilus-image-manipulator

Package: nautilus-image-manipulator
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, nautilus, python-nautilus (>= 1.1), python-gobject, gir1.2-gtk-3.0, gir1.2-glib-2.0, gir1.2-nautilus-3.0, python-poster (>= 0.8.0), python-imaging, gir1.2-gexiv2-0.10
Description: Resize and send images from Nautilus
 This Nautilus extension lets you resize images and send them to friends
 and family, right from Nautilus.
 .
 Just right-click on any photo or group of photos, and an option will
 appear that launches Nautilus Image Manipulator.
 .
 A set of default settings make it easy to quickly resize pictures. You
 can also easily create your own profiles for later reuse.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,14 @@
 #!/usr/bin/make -f
+
+BUILDHOME = $(CURDIR)/debian/build
+
+override_dh_clean:
+	dh_clean
+	rm -rf $(BUILDHOME)
+
+override_dh_auto_test:
+	mkdir -p $(BUILDHOME)
+	HOME=$(BUILDHOME) nosetests
 
 override_dh_auto_install:
 	dh_auto_install -- --install-lib=/usr/share/nautilus-image-manipulator \
